# Hello World
> こんにちは、世界。

リポジトリの作成方法の説明を簡単に書いておきます。

## アカウントとリポジトリの作成

- アカウントを作成します。これはできるよね？

- リポジトリの新規作成をします。これはできるよね？

## 公開鍵と秘密鍵を作成、sshプロキシ設定

- ~/.sshに移動します。

```
$ cd ~/.ssh
```
> 存在しない場合は.sshを作成しましょう。

- 次に鍵を作成します。何か聞かれてもEnterを押して無視しましょう。

```
$ ssh-keygen -t rsa
```

- これで、`id_rsa`と`id_rsa.pub`が生成されたはずです。次に、configファイルを作りましょう。

```
$ echo -e "Host git.076.ne.jp\nProxyCommand nc -x 127.0.0.1:9150 %h %p
```

- これでsshはTorを経由するようになるはずです。Torブラウザ経由ではない人（torコマンド）は9050にしましょう。

## 公開鍵をアップロードする

- リポジトリ \> 設定 \> デプロイキー \> デプロイキーを追加

- `タイトル`は適当に。

- `内容`は`~/.ssh/id_rsa.pub`の中身を貼り付けましょう。id_rsa.pubですよ？秘密鍵のid_rsaではありません。

- チェックボックス`書き込みアクセスも有効にする`にチェックを入れましょう。

- `デプロイキーを追加`ボタンを押して、公開鍵を登録します。

## プッシュする

- サンプルコード通りにやってみます。

```
$ touch README.md
$ git init
$ git add README.md
$ git commit -m "first commit"
$ git remote add origin "git@git.076.ne.jp:[ユーザー名]/[リポジトリ名].git"
$ git push -u origin master
```

- これでプッシュ出来ます。
